Subject: bug#32471: 26.1; ispell throwing wrong-type-argument stringp nil on Windows 10, with emacs 26.1 and hunspell

From: Eli Zaretskii <[email-masked]>
Date: Mon, 20 Aug 2018 17:46:42 +0300

> From: Didier <[email-masked]>
> Date: Mon, 20 Aug 2018 01:12:02 -0700
> Cc: [email-masked]
> 
> If I run hunspell -D from the command line, I get:
> 
> SEARCH PATH:
> .;;C:\Hunspell\;C:\Users\didibus\.openoffice.org\3\user\wordbook;C:\Users\didibus\hunspell\bin\..\share\hunspell;C:\Program
> files\OpenOffice.org 2.4\share\dict\ooo\;C:\Program files\OpenOffice.org 2.3\share\dict\ooo\;C:\Program
> files\OpenOffice.org 2.2\share\dict\ooo\;C:\Program files\OpenOffice.org 2.1\share\dict\ooo\;C:\Program
> files\OpenOffice.org 2.0\share\dict\ooo\
> AVAILABLE DICTIONARIES (path is not mandatory for -d option):
> C:\Users\didibus\hunspell\bin\..\share\hunspell\default
> C:\Users\didibus\hunspell\bin\..\share\hunspell\en_GB
> C:\Users\didibus\hunspell\bin\..\share\hunspell\en_US
> Can't open affix or dictionary files for dictionary named "ENU".
> 
> I got the windows port of hunspell from here: https://sourceforge.net/projects/ezwinports/files/
> 
> When I do ispell-change-dictionary to en_US it says: (match required), and nothing happens.
> 
> This is the content of my c:\Users\didibus\hunspell\share\hunspell folder:
> 
> README_en_GB.txt
> README_en_US.txt
> default.aff
> default.dic
> dictionary.lst
> en_GB.aff
> en_GB.dic
> en_US.aff
> en_US.dic

Copy en_US.* files into corresponding ENU.* files, and your problem is
likely to go away.

> By the way, it seems I can get it to work if I add the following to my init file:
> 
>     (setq ispell-dictionary "en_US")
>     (setq ispell-dictionary-alist
>           '(("en_US" "[[:alpha:]]" "[^[:alpha:]]" "[']"
>              t ("-d" "en_US" "-p" "C:\\Users\\didibus\\hunspell\\share\\hunspell\\en_US.aff") nil utf-8)))

Yes, but that shouldn't be necessary if you configure Hunspell for
your locale (which is ENU, a.k.a. "en_US").